org.encog.ensemble.data.factories

## Class EnsembleDataSetFactory

- java.lang.Object
- - org.encog.ensemble.data.factories.EnsembleDataSetFactory

- Direct Known Subclasses:
    ResamplingDataSetFactory, WeightedResamplingDataSetFactory, WrappingNonResamplingDataSetFactory

      public abstract class EnsembleDataSetFactory
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `dataSetSize`
    `protected MLDataSet` | `dataSource`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EnsembleDataSetFactory(int dataSetSize)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDataSetSize()`
    `int` | `getInputCount()`
    `MLDataSet` | `getInputData()`
    `abstract EnsembleDataSet` | `getNewDataSet()`
    `int` | `getOutputCount()`
    `ArrayList<Double>` | `getSignificance()`
    `boolean` | `hasSource()`
    `void` | `setDataSetSize(int dataSetSize)`
    `void` | `setInputData(MLDataSet dataSource)`
    `void` | `setSignificance(ArrayList<Double> D)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### dataSource

          protected MLDataSet dataSource

    - #### dataSetSize

          protected int dataSetSize

  - ### Constructor Detail

    - #### EnsembleDataSetFactory

          public EnsembleDataSetFactory(int dataSetSize)

  - ### Method Detail

    - #### setInputData

          public void setInputData(MLDataSet dataSource)

    - #### getNewDataSet

          public abstract EnsembleDataSet getNewDataSet()

    - #### hasSource

          public boolean hasSource()

    - #### getInputData

          public MLDataSet getInputData()

    - #### getDataSetSize

          public int getDataSetSize()

    - #### setDataSetSize

          public void setDataSetSize(int dataSetSize)

    - #### getInputCount

          public int getInputCount()

    - #### getOutputCount

          public int getOutputCount()

    - #### setSignificance

          public void setSignificance(ArrayList<Double> D)

    - #### getSignificance

          public ArrayList<Double> getSignificance()

Copyright © 2014. All Rights Reserved.